<?php
if (file_exists( __DIR__ . "/LocalSettings.php")){
	//Il est possible d'craser les valeurs par dfaut en
	//crant un fichier LocalSettings.php
	
	require_once( __DIR__ . "/LocalSettings.php");
}

foreach(glob("/etc/s2low/*.php") as $file_name){
	include_once($file_name);
}


ini_set("error_reporting", E_ALL & ~E_STRICT);

date_default_timezone_set("Europe/Paris");

//Attention, changement de la locale LC_TIME : ne pas la redfinir dans le fichier LocalSettings !!!
//Cette locale est cohrente avec le code de S2low
setlocale(LC_TIME, "fr_FR.UTF-8");

if(!defined("EMAIL_ADMIN")){
        define("EMAIL_ADMIN","eric@sigmalis.com");
}

if(!defined("WEBSITE_TITLE")){
        define('WEBSITE_TITLE', "Tiers de tltransmission multiprotocoles");
}

if(!defined('WEBSITE')){
        define('WEBSITE', "http://192.168.1.28:4443/");
}

if(!defined('WEBSITE_SSL')){
        define('WEBSITE_SSL', "https://192.168.1.28:4443/");
}

if(!defined('WEBMASTER')){
        define('WEBMASTER', "webmaster@invalid.fr");
}

// Adresse du From des emails mis
if(!defined('TDT_FROM_EMAIL')){
        define('TDT_FROM_EMAIL', "Tiers de tltransmission <tedetis@invalid.fr>");
}


// Paramtres base de donnes
if(!defined('DB_HOST')){
        define('DB_HOST', "localhost");
}

if(!defined('DB_USER')){
        define('DB_USER', "tedetis");
}

if(!defined('DB_PASSWORD')){
        define('DB_PASSWORD', "tedetis");
}

if(!defined('DB_DATABASE')){
	define('DB_DATABASE', "tedetis");
}

if(!defined('DB_CLIENT_ENCODING')){
	define('DB_CLIENT_ENCODING', "LATIN9");
}



//Dfinition de la connexion  la base de donnes pour les tests unitaires et les tests de validation
if(!defined('DB_HOST_TEST')){
	define('DB_HOST_TEST', "localhost");
}

if(!defined('DB_USER_TEST')){
	define('DB_USER_TEST', "tedetis");
}

if(!defined('DB_PASSWORD_TEST')){
	define('DB_PASSWORD_TEST', "tedetis");
}

if(!defined('DB_DATABASE_TEST')){
	define('DB_DATABASE_TEST', "tedetis_test");
}

if (! defined('PHP_UNIT_AUTOLOADER')) {
	define("PHP_UNIT_AUTOLOADER", "../pastell/ext/composer/vendor/autoload.php");
}

// Nombre d'lment affichs par dfaut par page dans les listes
if(!defined('DEFAULT_ITEMS_PER_PAGE')){
        define('DEFAULT_ITEMS_PER_PAGE', 10);
}

// Mode de l'application : dev ou prod (utilis dans Database.class.php)
if(!defined("MODE")){
        //define("MODE", "prod");
        define("MODE", "dev");
}


// Permission des fichiers et rpertoires gnrs
if (MODE == "dev"){
	define('GENERATED_DIRS_PERMS', 0777);
	define('GENERATED_FILES_PERMS', 0666);
} else {
	define('GENERATED_DIRS_PERMS', 0770);
	define('GENERATED_FILES_PERMS', 0660);
}

// Emplacement certificat/clef prive pour l'horodatage des logs
if(!defined('TIMESTAMPING_CERT')){
        define('TIMESTAMPING_CERT', '/etc/tedetis/ssl/tedetis_timestamp_cert.pem');
}

if(!defined('TIMESTAMPING_PRIV_KEY')){
        define('TIMESTAMPING_PRIV_KEY', '/etc/tedetis/ssl/tedetis_timestamp_priv_key.pem');
}

if(!defined('TIMESTAMPING_PRIV_KEY_PASS')){
        define('TIMESTAMPING_PRIV_KEY_PASS', '/etc/tedetis/ssl/tedetis_timestamp_priv_key.pass');
}

//Constante pour l'horodatage
//Chemin vers openssl version > 1.0.0a
if(!defined("OPENSSL_PATH")){
        define("OPENSSL_PATH","/Users/eric/Logiciel/openssl-1.0.0l/apps/openssl");
}

//WDSL du service d'horodatage
if(!defined("OPENSIGN_WSDL")){
        define("OPENSIGN_WSDL","http://horodatage.services.adullact.org/opensign.wsdl");
}

//Autorit de certification qui a sign le certificat de l'horodateur (obligatoire  cause d'une limitation d'openssl)
if(!defined("OPENSIGN_CA")){
        define("OPENSIGN_CA",__DIR__."/../data-exemple/root_ca.crt");
}

//Certificat de l'horodateur
if(!defined("OPENSIGN_CRT")){
        define("OPENSIGN_CRT",__DIR__."/../data-exemple/ts.crt");
}

//Temps en seconde avant de considrer l'horodateur en timeout
if(!defined("OPENSIGN_TIMEOUT")){
        define("OPENSIGN_TIMEOUT",2);
}

// Constantes gnrales
if(!defined('TRACE_FILE_PATH')){
	define('TRACE_FILE_PATH','/tmp/slow.log');
}

if(!defined('ANTIVIRUS_COMMAND')){
        define('ANTIVIRUS_COMMAND','/usr/bin/clamdscan');
}

if (!defined("ANTIVIRUS_UPSTART_TOUCH_FILE")){
	define("ANTIVIRUS_UPSTART_TOUCH_FILE","/tmp/antivirus-upstart");
}


if(!defined('TEDETIS_CERT_PATH')){
        define('TEDETIS_CERT_PATH','/home/tedetis/dev/certificat/site/dev.s2low-asoft.fr');
}

if(!defined('TEDETIS_KEY_PATH')){
        define('TEDETIS_KEY_PATH','/home/tedetis/dev/certificat/site/dev.s2low-asoft.fr-key');
}

if(!defined('TEDETIS_KEY_PASS')){
        define('TEDETIS_KEY_PASS','tedetis');
}

if(!defined('TEDETIS_TMP_PATH')){
        define('TEDETIS_TMP_PATH','/tmp/');
}

if(!defined("VERIFICATION_SIREN")){
	define("VERIFICATION_SIREN",false);
}

//Paramtre pour l'outil de signature Libersign

if(!defined("LIBERSIGN_URL")){
        define("LIBERSIGN_URL","https://signature.services.adullact.org/libersign");
}

if(!defined("LIBERSIGN_HELP_URL")){
	define("LIBERSIGN_HELP_URL","https://www.libriciel.fr");
}

if (!defined("LIBERSIGN_EXTENSION_UPDATE_URL")){
	define("LIBERSIGN_EXTENSION_UPDATE_URL",false);
}

//Paramtre outils pour donner la forme canonique d'un document XML (C14N)
if (!defined("XML_STARLET_PATH")){
	define("XML_STARLET_PATH","/usr/bin/xmlstarlet");
}

//Paramtre outils de signature XML
if (!defined("XMLSEC1_PATH")){
	define("XMLSEC1_PATH","/usr/bin/xmlsec1");
}

//Emplacement d'un rpertoire contenant le "hasher" des autorits de certification RGS
//voir "man c_rehash" pour le "hasher"
//Ce rpertoire ne doit contenir que des certificats RGS et sert  signer et tltransmettre des flux Actes
if (! defined("RGS_VALIDCA_PATH")){
	define("RGS_VALIDCA_PATH","/etc/tedetis/ssl/validca/");
}

//Emplacement des certificats permettant la connexion  la plateforme ainsi que la signature et la tltransmission
//des flux PES
if (! defined("EXTENDED_VALIDCA_PATH")){
	define("EXTENDED_VALIDCA_PATH","/etc/tedetis/ssl/validca/");
}


//Permet de dfinir le nombre de mois pendant lequelle un enregistrement est gard dans la table logs avant
//d'tre dpos dans la table logs_historique
if (! defined("KEEP_NB_MONTHS_IN_LOGS")){
	define("KEEP_NB_MONTHS_IN_LOGS",6);
}

if (!defined("EXPORT_LOGS_DIRECTORY")){
	define("EXPORT_LOGS_DIRECTORY","/tdt-workspace/logs-export/");
}


//////////////////////////////////
///// Paramtre module Actes /////
//////////////////////////////////

// Nom de l'application vis  vis du MIAT
if(!defined('ACTES_APPLI_NAME')){
        define('ACTES_APPLI_NAME', 'TACT');
}

// Trigramme de l'application pour la gnration des noms d'archive .tar.gz
if(!defined('ACTES_APPLI_TRIGRAMME')){
        define('ACTES_APPLI_TRIGRAMME', 'abc');
}

if(!defined('ACTES_APPLI_QUADRIGRAMME')){
	define('ACTES_APPLI_QUADRIGRAMME', 'TACT');
}


// Taille maximum autorise des archives (en octets)
if(!defined('ACTES_ARCHIVE_MAX_SIZE')){
        define('ACTES_ARCHIVE_MAX_SIZE', 20 * 1024 * 1024);
}

// Taille maximum pour les envois de fichiers par lot
if(!defined('ACTES_MAX_BATCH_UPLOAD_SIZE')){
        define('ACTES_MAX_BATCH_UPLOAD_SIZE', 20*1024*1024);
}

// Commande d'invocation du scanner anti-virus
//define('ACTES_ANTIVIRUS_COMMAND', '/usr/bin/clamdscan --stdout ');
if(!defined('ACTES_ANTIVIRUS_COMMAND')){
        define('ACTES_ANTIVIRUS_COMMAND', 'ls');
}

if(!defined('ANTIVIRUS_TMP_PATH')){
        define('ANTIVIRUS_TMP_PATH','/tmp/');
}


// Adresse de la servlet effectuant le controle des archives
if(!defined('ACTES_CHECK_ARCHIVE_SERVLET')){
        define('ACTES_CHECK_ARCHIVE_SERVLET', 'http://127.0.0.1:8080/TedetisActes/ValideArchive');
}

// Adresse letronique du TdT pour le retour des messages du MIAT
if(!defined('ACTES_TDT_MAIL_ADDRESS')){
        define('ACTES_TDT_MAIL_ADDRESS', 'tedetis@sigmalis.com');
}

// Rpertoire de stockage des fichiers envoys par les utilisateurs (archives .tar.gz)
if(!defined('ACTES_FILES_UPLOAD_ROOT')){
        define('ACTES_FILES_UPLOAD_ROOT', '/tdt-workspace/actes/uploads');
}

// Rpertoire de stockage des fichiers constituant les lots
if(!defined('ACTES_BATCHES_UPLOAD_ROOT')){
        define('ACTES_BATCHES_UPLOAD_ROOT', '/tdt-workspace/actes/batchs');
}

// Liste des adresses de destinataires des notification commune coutes les collectivits de l'instance
if(!defined('ACTES_COMMON_BROADCAST_EMAILS')){
	define('ACTES_COMMON_BROADCAST_EMAILS', 'eric@sigmalis.com');
} 

// Restreindre ou non plusieurs demandes de classification par jour par collectivit (1 par jour si restreint)
if(!defined('ACTES_RESTRICT_CLASSIF_REQUEST_FREQUENCY')){
	define('ACTES_RESTRICT_CLASSIF_REQUEST_FREQUENCY', false);
}

// Message indiquant que le plugin d upload du traitement par lot est en mode dgrad
if(!defined('ACTES_BATCH_UPLOAD_PLUGIN_FALLBACK_MESSAGE')){
	define('ACTES_BATCH_UPLOAD_PLUGIN_FALLBACK_MESSAGE', "La version de votre navigateur ne permet pas d'utiliser les fonctionnalits de slection multiple de fichiers de manire optimum.<br />Vous devez choisir vos fichiers un par un.");
}


//Permet sur un site de formation ou de dmonstration de ne pas attendre la dure lgale de deux mois avant de valider une transaction ACTE.
if (!defined('ACTES_ALWAYS_CAN_VALIDATE')){
	define('ACTES_ALWAYS_CAN_VALIDATE',false);
}


//////////////////////////////////
///// Paramtre module Helios /////
/////////////////////////////////
if(!defined('HELIOS_FILES_ROOT')){
	define('HELIOS_FILES_ROOT', '/tdt-workspace/helios/');
}

// Rpertoire de stockage des fichiers envoys par les utilisateurs
if(!defined('HELIOS_FILES_UPLOAD_ROOT')){
	define('HELIOS_FILES_UPLOAD_ROOT', '/tdt-workspace/helios/sending/');
}
// Repertoire de stockage des reponses
if(!defined('HELIOS_RESPONSES_ROOT')){
	define('HELIOS_RESPONSES_ROOT', '/tdt-workspace/helios/response/');
}

// Repertoire de stockage des reponses en erreur 
if(!defined('HELIOS_RESPONSES_ERROR_PATH')){
	define('HELIOS_RESPONSES_ERROR_PATH', '/tdt-workspace/helios/response_error/');
}


// Repertoire de stockage des fichiers temporaires  envoyer au FTP
if(!defined('HELIOS_FILES_UPLOAD_TMP')){
	define('HELIOS_FILES_UPLOAD_TMP', '/tdt-workspace/helios/sending-tmp/');
}



//Pour le script d'analyse des enveloppe Helios  envoyer
if(!defined('HELIOS_VALIDATION_UPSTART_TOUCH_FILE')){
	define('HELIOS_VALIDATION_UPSTART_TOUCH_FILE','/tmp/helios-validation-upstart');
}


if(!defined('HELIOS_COUNTER_FILE')){
	define('HELIOS_COUNTER_FILE',"/tdt-workspace/helios/counter.txt");
}

if(!defined("HELIOS_ZIP_BEFORE_SEND")){
	define("HELIOS_ZIP_BEFORE_SEND",false);
}
//Mettre "" pour la production, mettre un rpertoire de destination pour un serveur de test
//Faire terminer la destination par un /
if(!defined("HELIOS_SENDING_DESTINATION")){
	define("HELIOS_SENDING_DESTINATION","");
}

if(!defined("HELIOS_SENDING_MODE_DEMO")){
	define("HELIOS_SENDING_MODE_DEMO",true);
}

//Pour le script de rcupration des enveloppe Helios
if(!defined('HELIOS_FTP_SERVER')){
	define('HELIOS_FTP_SERVER','127.0.0.1');
}

if (!defined('HELIOS_FTP_PASSIVE_MODE')){
	define('HELIOS_FTP_PASSIVE_MODE',true);
}

if(!defined('HELIOS_FTP_PORT')){
	define('HELIOS_FTP_PORT','21');
}

if(!defined('HELIOS_FTP_LOGIN')){
	define('HELIOS_FTP_LOGIN','helios');
}

if(!defined('HELIOS_FTP_PASSWORD')){
	define('HELIOS_FTP_PASSWORD','helios');
}

if(!defined('HELIOS_FTP_RESPONSE_SERVER_PATH')){
	define('HELIOS_FTP_RESPONSE_SERVER_PATH','/home/helios/response/');
}

if(!defined('HELIOS_FTP_RESPONSE_TMP_LOCAL_PATH')){
	define('HELIOS_FTP_RESPONSE_TMP_LOCAL_PATH','/tdt-workspace/helios/response_tmp/');
}

if(!defined('HELIOS_UPSTART_TOUCH_FILE')){
	define('HELIOS_UPSTART_TOUCH_FILE','/tmp/helios-upstart');
}

if(!defined('HELIOS_MAX_UPLOAD_SIZE')){
	define('HELIOS_MAX_UPLOAD_SIZE',100*1024*1024);
}

if(!defined('HELIOS_GENERATED_FILE_PERMISSION')){
	define('HELIOS_GENERATED_FILE_PERMISSION','0644');
}

if (!defined('HELIOS_SIGNATURE_PLATEFORME_CLAIMED_ROLE')){
	define('HELIOS_SIGNATURE_PLATEFORME_CLAIMED_ROLE','Rle invalide  configurer');
}

if (! defined('HELIOS_SIGNATURE_PLATEFORME_COUNTRY_NAME')){
	define('HELIOS_SIGNATURE_PLATEFORME_COUNTRY_NAME','France');
}

if (! defined('HELIOS_SIGNATURE_PLATEFORME_POSTAL_CODE')){
	define('HELIOS_SIGNATURE_PLATEFORME_POSTAL_CODE','34000');
}

if (! defined('HELIOS_SIGNATURE_PLATEFORME_CITY')){
	define('HELIOS_SIGNATURE_PLATEFORME_CITY','Montpellier');
}

if (!defined('HELIOS_PLATEFORME_CERTIFICATE_P12')){
	define('HELIOS_PLATEFORME_CERTIFICATE_P12',__DIR__."/../data-exemple/plateforme-cert.p12");
}

if (! defined('HELIOS_PLATEFORME_CERTIFICATE_PASSWORD')){
	define('HELIOS_PLATEFORME_CERTIFICATE_PASSWORD','robert_petitpoids');
}

if (!defined("HELIOS_ENABLE_SIGNATURE_TECHNIQUE")){
	define("HELIOS_ENABLE_SIGNATURE_TECHNIQUE",false);
}

if (empty($helios_authorized_rollback_ids)){
	$helios_authorized_rollback_ids = array();
}

if (!defined("HELIOS_OCRE_FILE_PATH")){
	define("HELIOS_OCRE_FILE_PATH","/tdt-workspace/helios/ocre/");
}

if (!defined("HELIOS_OCRE_EXPORT_URL")){
	define("HELIOS_OCRE_EXPORT_URL","http://localhost/phpstorm/pastell-ocre/script/receive-ocre.php");
}

if (!defined("HELIOS_OCRE_PASSWORD")){
	define("HELIOS_OCRE_PASSWORD","changme");
}

if ( ! defined("HELIOS_DO_NOT_VERIFY_NOM_FIC_UNICITY")){
	//Permet de faire sauter la vrication de l'unicit du NomFic dans les PES_Aller
	//Il faut mettre cette constante  faux et explicitement coch une case sur l'autorit sur la console
	define("HELIOS_DO_NOT_VERIFY_NOM_FIC_UNICITY", false);
}


//////////////////////////////////
///// Paramtre module Etat Civil /////
/////////////////////////////////
// Rpertoire de stockage des fichiers envoys par les utilisateurs
if(!defined('ETAT_CIVIL_FILES_UPLOAD_ROOT')){
	define('ETAT_CIVIL_FILES_UPLOAD_ROOT', '/home/tedetis/dev/tdt-workspace/uploads/etat_civil');
}

//////////////////////////////
///// Paramtre module Mail  /////
//////////////////////////////////
// Rpertoire de stockage des fichiers envoys par les utilisateurs
if(!defined('MAIL_FILES_UPLOAD_ROOT')){
	define('MAIL_FILES_UPLOAD_ROOT', '/tdt-workspace/mail/');
}

if(!defined('MAIL_TEDETIS_FROM')){
	define('MAIL_TEDETIS_FROM','tedetis-mailsec@adullact.fr');
}

if(!defined('IMAP_LOGIN')){
	define('IMAP_LOGIN','tedetis-mailsec');
}

if(!defined('IMAP_PASS')){
	define('IMAP_PASS','Yi7eequa');
}

if(!defined('IMAP_SERVER')){
	define('IMAP_SERVER','mail.ntsys.fr');
}

if(!defined('MAIL_MESSAGE')){
	define('MAIL_MESSAGE',"Vous avez reu un courrier recommand par S2LOW");
}

if(!defined('MAIL_TEXT')){
	define('MAIL_TEXT',"Bonjour,
    
Un courrier recommand avec d'ventuelles pices jointes vous a t transmis par la plateforme scurise de l'Adullact. Nous vous proposons de cliquer sur le lien suivant pour accder au courrier recommand et confirmer la rception : accs au courrier recommand.");
}
/*************************
 * Paramtre module DIA
 */

//Rpertoire pour les DIA utilis dans Slow
if(!defined("DIA_UPLOAD_PATH")){
	define("DIA_UPLOAD_PATH","/tdt-workspace/dia/upload");
}

//Rpertoire pour les DIA reu via PEC/PRESTO
if(!defined("DIA_DELIVERY_PATH")){
	define("DIA_DELIVERY_PATH","/tdt-workspace/dia/delivery");
}

//Rpertoire pour les envois vers PEC/PRESTO
if(!defined("DIA_TO_PRESTO")){
	define("DIA_TO_PRESTO","/tdt-workspace/dia/to-presto");
}

if(!defined("DIA_UPSTART_TOUCH_FILE")){
	define("DIA_UPSTART_TOUCH_FILE",'/tmp/dia-upstart');
}



require_once('config-static.php');

//Bon ok c'est bizarre, mais c'est comme les script les plus vieux ne charge que config.php  la place de init.php
//on fait en sorte que config.php charge init.php et rciproquement
require_once(__DIR__."/../init/init.php");

if (! defined("TESTING_ENVIRONNEMENT")) {
	define("TESTING_ENVIRONNEMENT", false);
}

if (! defined("NEW_BANNER")) {
	define("NEW_BANNER", true);
}


if (! defined("LIBERSIGN_INSTALLER")){
	# Uniquement pour l'installation Docker afin que celui-ci puisse rcuprer le script d'installation de Libersign
	define("LIBERSIGN_INSTALLER",false);
}



## Configuration OpenStack (facultative)

if (! defined("OPENSTACK_AUTHENTICATION_URL_V2")) {
    define("OPENSTACK_URL_V2", 'https://identity.fr1.cloudwatt.com/v2.0');
}

if (! defined("OPENSTACK_USERNAME")) {
    define("OPENSTACK_USERNAME","");
}

if (! defined("OPENSTACK_PASSWORD")) {
    define("OPENSTACK_PASSWORD", "");
}

if (! defined("OPENSTACK_TENANT")) {
    define("OPENSTACK_TENANT", "0750189044_S2LOWDEV");
}

if (! defined("OPENSTACK_REGION")) {
    define("OPENSTACK_REGION", "fr1");
}

if (! defined("OPENSTACK_SWIFT_CONTAINER_PREFIX")) {
    define("OPENSTACK_SWIFT_CONTAINER_PREFIX", "s2low_dev_");
}



