<?php

class HeliosRetourSQL extends SQL {

	const STATUS_NON_LU = 0;
	const STATUS_LU = 1;
	
	public function add($authority_id,$siret,$filename){
		$siren = substr($siret, 0,9);
		$sql = "INSERT INTO helios_retour(authority_id, siren, filename, status, date,siret) " .
				" VALUES ( ?,?,?,0,now(),?) returning id";
		return $this->queryOne($sql,$authority_id,$siren,$filename,$siret);
	}
	
	public function getInfo($helios_retour_id){
		$sql = "SELECT * FROM helios_retour WHERE id=?";
		return $this->queryOne($sql,$helios_retour_id);
	}

	public function getInfoFromFilename($authority_id,$filename){
		$sql = "SELECT * FROM helios_retour ".
				" WHERE authority_id = ? AND filename = ?";
		return $this->queryOne($sql,$authority_id,$filename);
	}

	public function getList($authority_id){
		$sql = "SELECT * FROM helios_retour WHERE status = ? AND authority_id = ? ";
		return $this->query($sql,self::STATUS_NON_LU,$authority_id);
	}

}