<?php

require_once( __DIR__ . "/../../../init/init-www.php");


$me = new User();

if (! $me->authenticate()) {
	$_SESSION["error"] = "chec de l'authentification";
	header("Location: " . WEBSITE);
	exit();
}

if (! $me->isSuper()) {
	$_SESSION["error"] = "Accs refus";
	header("Location: " . WEBSITE_SSL);
	exit();
}


$recuperateur = new Recuperateur($_GET);
$type = $recuperateur->get('type');

if (! in_array($type, array('extended','rgs'))){
	$type = 'extended';
}



if ($type == 'rgs'){
	$certificate_list = glob(RGS_VALIDCA_PATH."/*.pem");
} else {
	$certificate_list = glob(EXTENDED_VALIDCA_PATH."/*.pem");
}

$menuHTML = new MenuHTML();

$doc = new HTMLLayout();
$doc->setTitle("Liste des certificats - Slow");

$doc->openContainer();
$doc->addBody($menuHTML->getMenu($userInfo,$modulesInfo));
$doc->closeSideBar();
$doc->openContent();

ob_start();
?>
	<h1>Autorits de certification</h1>



	<div id="actions_area">
		<h2>Actions</h2>
		<a class="btn btn-primary" href="/admin/utilities/certificate_list.php?type=extended">Voir les certificats tendus</a>
		<a class="btn btn-primary" href="/admin/utilities/certificate_list.php?type=rgs">Voir les certificats RGS</a>
	</div>


<h2>Liste des certificats <?php echo $type=='rgs'?"RGS":"tendus" ?></h2>

<table class="data-table table table-striped ">
<?php foreach($certificate_list as $i => $cert) : ?>
	<tr>
		<td><a href="/admin/utilities/certificate.php?type=<?php echo $type ?>&name=<?php echo basename($cert) ?>"><?php echo basename($cert) ?></a></td>
	</tr>
<?php endforeach ?>
</table>


<?php
$html = ob_get_contents();
ob_end_clean();

$doc->addBody($html);

$doc->closeContent();
$doc->closeContainer();

$doc->buildFooter();
$doc->display();