<?php 

require_once ("../../../config/config.php");
require_once (SITEROOT . '/class/include.class.php');
	
	
require_once (SITEROOT . '/public.ssl/modules/actes/class/ActesEnvelope.class.php');
require_once (SITEROOT . '/public.ssl/modules/actes/class/ActesPdf.class.php');
		
$id = Helpers :: getVarFromGet("trans_id");

if (empty($id) ){
	$_SESSION["error"] = "Pas d'identifiant de transaction spcifi";
	header("Location: " . WEBSITE_SSL . "/modules/actes/index.php");
	exit ();
}

//FIXME : mettre ca dans un script d'initialisation ....

// Instanciation du module courant
$module = new Module();
if (!$module->initByName("actes")) {
  $_SESSION["error"] = "Erreur d'initialisation du module";
  header("Location: " . WEBSITE_SSL);
  exit ();
}

$me = new User();

if (!$me->authenticate()) {
  $_SESSION["error"] = "chec de l'authentification";
  header("Location: " . WEBSITE);
  exit ();
}

if (!$module->isActive() || !$me->canAccess($module->get("name"))) {
  $_SESSION["error"] = "Accs refus";
  header("Location: " . WEBSITE_SSL);
  exit ();
}
	

$trans = new ActesTransaction();
$trans->setId($id);
if ( ! $trans->init()) {
    $_SESSION["error"] = "Erreur d'initialisation de la transaction.";
    header("Location: " . WEBSITE_SSL . "/modules/actes/index.php");
    exit ();
}

$envelope = new ActesEnvelope($trans->get("envelope_id"));
$envelope->init();

$owner = new User($envelope->get("user_id"));
$owner->init();

$serviceUser = new ServiceUser(DatabasePool::getInstance());
$permission = new ModulePermission($serviceUser,"actes");

if ( ! $permission->canView($me,$owner)){
	$_SESSION["error"] = "Accs refus";
	header("Location: " . WEBSITE_SSL . "/modules/actes/index.php");
	exit ();
}
//passer les paramtre
$pdf=new ActesPdf($trans,$owner);
	
//construire le fichier pdf. 
$pdf->create_pdf();

$pdf->output("acquittement");
