<?php

require_once("../../../../config/config.php");
require_once(SITEROOT . '/class/include.class.php');
require_once(SITEROOT . '/public.ssl/modules/actes/class/ActesTransmissionWindow.class.php');

// Instanciation du module courant
$module = new Module();
if (! $module->initByName("actes")) {
  $_SESSION["error"] = "Erreur d'initialisation du module";
  header("Location: " . WEBSITE_SSL);
  exit();
}

$me = new User();

if (! $me->authenticate()) {
  $_SESSION["error"] = "chec de l'authentification";
  header("Location: " . WEBSITE);
  exit();
}

if (! $me->isSuper() || ! $module->isActive() || ! $me->canAccess($module->get("name"))) {
  $_SESSION["error"] = "Accs refus";
  header("Location: " . WEBSITE_SSL);
  exit();
}

$doc = new HTMLLayout();
$win = new ActesTransmissionWindow();
$windows = $win->getWindowsList();

$doc->setTitle("Gestion des fentres module ACTES");

$doc->openContainer();
$doc->openSideBar();
$doc->buildMenu($me);
$doc->buildPager($win);
$doc->closeSideBar();
$doc->openContent();


$html .= "<h1>Gestion des fentres de transmission</h1>\n";
$html .= "<h2>Actions</h2>\n";
$html .= "<a href=\"" . WEBSITE_SSL . "/modules/actes/admin/actes_admin_window_edit.php\" class=\"btn btn-primary\">Ajouter une fentre</a>\n";
$html .= "<h2>Liste des fentres existantes</h2>\n";

if (count($windows) > 0) {
  $html .= "<table class=\"data-table table table-striped\" summary=\"\">";
  $html .= "<thead>\n";
  $html .= "<tr>\n";
  $html .= " <th id=\"number\">Numro</th>\n";
  $html .= " <th id=\"start-date\">Dbut</th>\n";
  $html .= " <th id=\"end-date\">Fin</th>\n";
  $html .= " <th id=\"rate\">Dbit horaire</th>\n";
  $html .= " <th class=\"data\">Actions</th>\n";
  $html .= "</tr>\n";
  $html .= "</thead>\n";
  $html .= "</tbody>\n";
  $i = 0;

  foreach ($windows as $window) {
	$html .= "<tr>\n";
	$html .= " <td>" . $window["id"] . "</td>\n";
	$html .= " <td>" . Helpers::getDateFromBDDDate($window["start"], true) . "</td>\n";
	$html .= " <td>" . Helpers::getDateFromBDDDate($window["end"], true) . "</td>\n";
	$html .= " <td>" . $window["rate_limit"] . "</td>\n";
	$html .= " <td><a href=\"" . WEBSITE_SSL . "/modules/actes/admin/actes_admin_window_edit.php?id=" . $window["id"] . "\" class=\"icon\"><img src=\"" . WEBSITE_SSL . "/custom/images/erreur.png\" alt=\"image_modif\" title=\"Modifier\" /></a></td>\n";
	$html .= "</tr>\n";

	$i = ($i + 1) % 2;
  }
  $html .= "</tbody>\n";
  $html .= "</table>\n";
} else {
  $html .= "Pas de fentre de transmission dfinie.";
}


$doc->addBody($html);
$doc->closeContent();
$doc->closeContainer();

$doc->buildFooter();
$doc->display();

?>
