<?php

// Configuration
require_once ("../../../config/config.php");
require_once (SITEROOT . '/class/include.class.php');
require_once (SITEROOT . '/public.ssl/modules/helios/class/HeliosTransaction.class.php');

// Instanciation du module courant
$module = new Module();
if (!$module->initByName("helios")) {
  $_SESSION["error"] = "Erreur d'initialisation du module";
  header("Location: " . WEBSITE_SSL);
  exit ();
}

$me = new User();

if (!$me->authenticate()) {
  $_SESSION["error"] = "chec de l'authentification";
  header("Location: " . WEBSITE);
  exit ();
}

if (!$module->isActive() || !$me->canAccess($module->get("name"))) {
  $_SESSION["error"] = "Accs refus";
  header("Location: " . WEBSITE_SSL);
  exit ();
}

$transaction_id = Helpers :: getVarFromGet("id");

if (! $transaction_id){
  $_SESSION["error"] = "Id non trouv";
  header("Location: " . WEBSITE_SSL);
  exit ();
}


$trans = new HeliosTransaction();

if (isset($transaction_id) && ! empty($transaction_id)) {
	$trans->setId($transaction_id);
	if ($trans->init()) {//obtine inregistrarea ce corespunde
		$owner = new User($trans->get("user_id")); //!!!!! din HeliosTransaction
		$owner->init();
	} else {
		$_SESSION["error"] = "Erreur d'initialisation de la transaction.";
		header("Location: " . WEBSITE_SSL . "/modules/helios/index.php");
		exit();
	}
} else {
	$_SESSION["error"] = "Pas d'identifiant de transaction spcifi";
	header("Location: " . WEBSITE_SSL . "/modules/helios/index.php");
	exit();
}

$serviceUser = new ServiceUser(DatabasePool::getInstance());
$permission = new ModulePermission($serviceUser,"helios");

if ( ! $permission->canView($me,$owner)){
	$_SESSION["error"] = "Accs refus";
	header("Location: " . WEBSITE_SSL . "/modules/helios/index.php");
	exit ();
}




$myAuthority = new Authority($me->get("authority_id"));

$entity = new HeliosTransaction($transaction_id);
$filename = $entity->getAcquitFilenameForId($transaction_id);

$ownerId = $entity->getUserForId($transaction_id);
$owner = new User($ownerId);
$owner->init();


if (!$entity->sendAcquit(trim($filename))) {
  $_SESSION["error"] = "Erreur d'envoi du fichier " . $filename . " : " . $entity->getErrorMsg();
  //header("Location: " . WEBSITE_SSL);
  exit ();
}

